import { LoadingController, ToastController, AlertController } from '@ionic/angular/standalone';
import * as i0 from "@angular/core";
export declare class UiHelperService {
    private loader;
    private alertCtrl;
    toastCtrl: ToastController;
    private _isLoading;
    private _isShowToast;
    private _loader;
    constructor(loader: LoadingController, alertCtrl: AlertController, toastCtrl: ToastController);
    showLoading(text?: string, duration?: number): Promise<void>;
    hideLoading(): void;
    alert(title: string, message: string): Promise<void>;
    alertError(e: any, logError?: boolean): Promise<void>;
    alertYesNo(title: string, message: string, yesText?: string, noText?: string): Promise<boolean>;
    showToast(message: string, duration?: number, position?: EToastPosition): void;
    hideToast(): void;
    /**
     * Shows toast when data is saved. Used this, so we don't have to write the same message multiple times.
     */
    showToast_Saved(): void;
    /**
     * Delays promise
     * @param milisecond number of miliseconds to delay
     * @returns promise that resolved after delay
     */
    delay(milisecond: number): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<UiHelperService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UiHelperService>;
}
export declare enum EToastPosition {
    Bottom = "bottom",
    Middle = "middle",
    Top = "top"
}
//# sourceMappingURL=ui-helper.service.d.ts.map